com.aliyun.svideosdk.editor

## Interface AliyunIAudioController

-     public interface AliyunIAudioController

  v3.25.0 新增

  音频控制类

  您可以通过该控制器，设置流的音量，降噪，淡入淡出，音频特效等属性

  设置完必须调用 #apply `apply()`方法应用生效。

  注意：

  1，设置完属性必须调用#apply `apply()`生效

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `apply()`
    `AliyunIAudioController` | `denoise(int denoiseWeight)` 降低指定音频流的噪声,0~100，0表示关闭降噪，100表示降噪能力最强
    `int` | `getVolume()` 获取音量信息
    `AliyunIAudioController` | `removeAudioFadeIn()` 移除音频淡入效果
    `AliyunIAudioController` | `removeAudioFadeOut()` 移除音频淡出效果
    `AliyunIAudioController` | `setAudioEffect(AudioEffectType type, float weight)` 增加音效 如果素材无音轨，该接口返回成功，但是没有效果
    `AliyunIAudioController` | `setAudioFadeIn(ShapeType shapeType, long durationInMillis)` 设置音频淡入,从音频0秒开始
    `AliyunIAudioController` | `setAudioFadeOut(ShapeType shapeType, long durationInMillis)` 设置音频淡出, 从后面到音频结束
    `AliyunIAudioController` | `setVolume(int vol)` 设置音量,0~100，0表示静音，100表示音量最大

- - ### Method Detail

    - #### setVolume

          AliyunIAudioController setVolume(int vol)

      设置音量,0~100，0表示静音，100表示音量最大
      Parameters:
        `vol` - 0表示静音，100表示音量最大
      Returns:
        正确返回0，错误返回错误码

    - #### getVolume

          int getVolume()

      获取音量信息
      Returns:

    - #### denoise

          AliyunIAudioController denoise(int denoiseWeight)

      降低指定音频流的噪声,0~100，0表示关闭降噪，100表示降噪能力最强
      Parameters:
        `denoiseWeight` - 0表示关闭降噪，100表示降噪能力最强
      Returns:
        正确返回0，错误返回错误码

    - #### setAudioEffect

          AliyunIAudioController setAudioEffect(AudioEffectType type,
                                                float weight)

      增加音效 如果素材无音轨，该接口返回成功，但是没有效果
      Parameters:
        `type` - 特效类型 `com.aliyun.svideosdk.editor.AudioEffectType`
        `weight` - 特效效果参数 [0,100]
      Returns:
        正确返回该音效的id，错误返回错误码

    - #### setAudioFadeIn

          AliyunIAudioController setAudioFadeIn(ShapeType shapeType,
                                                long durationInMillis)

      设置音频淡入,从音频0秒开始
      Parameters:
        `shapeType` - 淡入的曲线形状 `ShapeType`
        `durationInMillis` - 淡入时长。0表示关闭， 单位：微秒
      Returns:
        正确返回0，错误返回错误码

    - #### setAudioFadeOut

          AliyunIAudioController setAudioFadeOut(ShapeType shapeType,
                                                 long durationInMillis)

      设置音频淡出, 从后面到音频结束
      Parameters:
        `shapeType` - 淡出的曲线形状 `ShapeType`
        `durationInMillis` - 淡出时长.0表示关闭
      Returns:
        正确返回0，错误返回错误码

    - #### removeAudioFadeIn

          AliyunIAudioController removeAudioFadeIn()

      移除音频淡入效果
      Returns:
        正确返回0，错误返回错误码

    - #### removeAudioFadeOut

          AliyunIAudioController removeAudioFadeOut()

      移除音频淡出效果
      Returns:
        正确返回0，错误返回错误码

    - #### apply

          int apply()